Package: org.codehaus.groovy.util

## [Java] Class SingleKeyHashMap

- org.codehaus.groovy.util.SingleKeyHashMap

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `interface` | `SingleKeyHashMap.Copier` |
    `static class` | `SingleKeyHashMap.Entry` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ComplexKeyHashMap` | `DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `def` | `SingleKeyHashMap()`
    `` | `def` | `SingleKeyHashMap(boolean b)`
    `` | `boolean` | `containsKey(String name)`
    `` | `static SingleKeyHashMap` | `copy(SingleKeyHashMap dst, SingleKeyHashMap src, SingleKeyHashMap.Copier copier)`
    `` | `Object` | `get(Object key)`
    `` | `Entry` | `getOrPut(Object key)`
    `` | `Entry` | `getOrPutEntry(Entry element)`
    `` | `void` | `put(Object key, Object value)`
    `` | `Entry` | `putCopyOfUnexisting(Entry ee)`
    `` | `Entry` | `remove(Object key)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ComplexKeyHashMap` | `ComplexKeyHashMap, ComplexKeyHashMap, ComplexKeyHashMap, clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public def SingleKeyHashMap()

    - #### public def SingleKeyHashMap(boolean b)

    - #### public boolean containsKey(String name)

    - #### public static SingleKeyHashMap copy(SingleKeyHashMap dst, SingleKeyHashMap src, SingleKeyHashMap.Copier copier)

    - #### public final Object get(Object key)

    - #### public Entry getOrPut(Object key)

    - #### public Entry getOrPutEntry(Entry element)

    - #### public void put(Object key, Object value)

    - #### public Entry putCopyOfUnexisting(Entry ee)

    - #### public final Entry remove(Object key)